* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 18px;
  scroll-behavior: smooth;
}

body {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, 
               Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  font-size: 1rem; 
  line-height: 1.6;
  color: #000;
  background-color: #e5e5e5;
  max-width: 100vw;
  overflow-x: hidden;
}

h1, h2, h3 {
  font-weight: 600;
  line-height: 1.25;
  margin-top: 24px;
  margin-bottom: 24px;
}
h1 { font-size: 2.25rem; margin-top: 0; }
h2 { font-size: 1.75rem; }
h3 { font-size: 1.375rem; }

/* ----------------------------- HEADER -------------------------- */
.header {
  display: flex;
  justify-content: center;
  position: sticky;
  top: 0;
  background: linear-gradient(to right, rgba(255,255,255,0.7) 20%, rgba(255,255,255,0.4)), url("bricks.jpg");
  background-size: cover;
  background-position: center;
  z-index: 9999;
  width: 100%;
  padding: 0;
}

.header-inner {
  max-width: 80%;
  width: 100%;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.header .logo img {
  height: 110px;
  width: auto;
}

.header nav {
  display: flex;
  gap: 20px;
}

.header nav a.btn {
  display: inline-block;
  background: rgba(0,0,0,0.45);
  color: #fff;
  padding: 10px 12px;
  border-radius: 3px;
  text-decoration: none;
  transition: 0.3s;
  min-width: 150px;
  text-align: center;
}

.header nav a.btn:hover {
  background: #25282A;
}

/* --------------------- SEKCJE ---------------------- */
.section {
  text-align: center;
  position: relative;
}

#o-mnie {
  text-align: left;
  max-width: 80%;
  margin: 0 auto;
  padding-bottom: 60px;
}

.container {
  max-width: 80%;
  margin: 0 auto;
  background-color: rgba(0,0,0,0.5);
  padding: 30px;
  color: #fff;
}

.hero {
  text-align: left;
  background-image: url('background.jpg');
  background-size: cover;  
  background-repeat: no-repeat;
  background-position: center top;
  padding-top: 60px;
  padding-bottom: 60px;
}

/* --- GALERIA --- */
.gallery {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 15px;
  padding: 20px;
}

.gallery img {
  width: 100%;
  border-radius: 8px;
}

.swiper-container {
  width: 100%;
  padding: 0 60px;
}
.swiper-slide img {
  width: 100%;
  height: 500px;
  object-fit: cover;
  border-radius: 3px;
  cursor: pointer;
  transition: transform 0.3s;
}
.swiper-slide img:hover { transform: scale(1.05); }
.swiper-button-next::after, .swiper-button-prev::after {
  color: rgb(0, 136, 255);
  --swiper-navigation-size: 50px;
}

:root {
  --swiper-pagination-bullet-size: 16px;
}
.swiper-pagination {
  bottom: -40px !important;
}

/* ---------------------- FOOTER ---------------------- */
.footer {
  background: #161616;
  color: #d9d9d9;
  padding: 20px;
}

.footer-top {
  display: flex;
  justify-content: space-between;
  align-items: center;
  text-align: center;
  margin-bottom: 15px;
  max-width: 80%;
  margin: 0 auto;
  font-size: 14px;
  line-height: 1.8;
  padding-bottom: 18px;
}

.footer-col {
  flex: 1;
  text-align: left;
}

.footer .footer-top .footer-col .logo img {
  height: 80px;
  width: auto;
}

.footer-bottom {
  text-align: center;
  font-size: 12px;
  opacity: 0.7;
  border-top: 1px solid #3e3e3e;
  padding-top: 10px;
}

.contact-item {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-bottom: 10px;
}

.contact-item p {
  margin: 0;
  font-size: 1rem;
}

.icon {
  width: 40px;
  height: 40px;
  object-fit: contain;
}

.menu-toggle {
  display: none;
  cursor: pointer;
}

.menu-toggle span {
  display: block;
  width: 40px;
  height: 6px;
  background: #000;
  margin: 5px 0;
  transition: 0.3s;
}

@media (max-width: 1050px) {

  .menu-toggle {
    display: block;
  }

  .header-inner {
    position: relative;
  }

  .header nav {
    display: none;
    position: absolute;
    top: 100%;
    right: 0;
    width: 100%;
    background: #161616;
    flex-direction: column;
  }

  .header nav.active {
    display: flex;
  }

  .header nav a.btn {
    width: 100%;
    padding: 15px;
    border-bottom: 1px solid #333;
    background: none;
  }

  .container {
    max-width: 100%;
  }

  .footer-top {
    flex-direction: column;       /* kolumny jedna pod drugą */
    align-items: center;          /* wyśrodkowanie w pionie */
    text-align: center;
    gap: 15px;                    /* odstęp między „kolumnami” */
    max-width: 95%;                /* trochę szersze na mobile */
    padding-bottom: 10px;         /* mniejszy padding */
    font-size: 13px;              /* lekko mniejsza czcionka */
    line-height: 1.6;             /* ciasniej w pionie */
  }

  .swiper-slide img {
    height: 340px;
  }
}